textures/etl_frostbite/sky
{
	qer_editorimage textures/editor/blue1.tga
	// q3map_sunExt 143 174 174 25 35 45 1 16
	q3map_sunExt 143 174 174 15 35 45 1 16
	// q3map_skylight 15 5
	q3map_skylight 10 5
	skyparms - 200 -
	sunshader textures/skies_sd/full_moon2
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
	{	
		fog off
		map textures/skies_sd/goldrush_clouds.tga
		tcMod scale 5 5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}
	{	
		fog off
		map textures/skies/nightsky1.jpg
		tcMod scale 10 10
		blendfunc add
		rgbGen identityLighting
	}
	{
		fog off
		clampmap textures/skies_sd/goldrush_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		// rgbGen identityLighting
		//rgbGen const ( 0.6 0.6 0.6 ) 
		rgbGen const ( 0.4 0.4 0.4 ) 
	}
}

textures/etl_frostbite/_snow
{
	qer_editorimage textures/snow_sd/s_grass_ml03b_big.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm snowsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/snow_sd/s_grass_ml03b_big.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_frostbite/_snow_mud
{
	qer_editorimage textures/snow_sd/snow_muddy.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm snowsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/snow_sd/s_grass_ml03b_big.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_muddy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_frostbite/_mud_path
{
	qer_editorimage textures/stone/dirt_m03.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm snowsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/stone/dirt_m03.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_muddy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_frostbite/_cliff
{
	qer_editorimage textures/stone/mxsnow0.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm snowsteps
	{
		// Primary 1
		map textures/stone/mxsnow0.tga
		rgbGen identity
	}
	// {
		// // Primary 2
		// map textures/stone/mxrock3h_snow.tga
		// blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaGen Vertex
		// rgbGen identity
	// }
	{
		// Secondary
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_frostbite/_rock
{
	qer_editorimage textures/temperate_sd/rock_ugly_brown.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	{
		map textures/temperate_sd/rock_ugly_brown.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_frostbite/_snow_tiles
{
	qer_editorimage textures/miltary_wall/concrete_c07bcmp.tga
	q3map_nonplanar
	q3map_shadeangle 90
	{
		// Primary 1
		map textures/miltary_wall/concrete_c07bcmp.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow/concrete_c07bcmp_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_frostbite/_bunker_wall
{
	qer_editorimage textures/assault_rock/concrete_m01.tga
	q3map_nonplanar
	q3map_shadeangle 90
	{
		// Primary 1
		map textures/assault_rock/concrete_m01.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/assault_rock/concrete_m03.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_frostbite/_bunker_wall_exterior
{
	qer_editorimage textures/snow_sd/bunkerwall_lrg02.tga
	q3map_nonplanar
	q3map_shadeangle 90
	{
		// Primary 1
		map textures/battery_wall/wall01_mid.tga
		tcMod scale 2 2
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/bunkerwall_lrg02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/etl_frostbite/_bunker_wall_trim
{
	qer_editorimage textures/battery_wall/wall02_mid.tga
	q3map_nonplanar
	q3map_shadeangle 90
	{
		// Primary 1
		map textures/battery_wall/wall02_mid.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/battery_wall/wall04_mid.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_frostbite/stucco
{
	qer_editorimage textures/town_wall/town_c33.tga
	q3map_nonplanar
	q3map_shadeangle 90
	{
		// Primary 1
		map textures/town_wall/town_c33.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/town_wall/town_c22a1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}